<html>
<head>
<title>Ogre::GLUniformReference Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLUniformReference.html">GLUniformReference</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLUniformReference Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLUniformReference" -->
<p>Structure used to keep track of named uniforms in the linked program object.  
 <a href="structOgre_1_1GLUniformReference.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>&gt;</code></p>

<p><a href="structOgre_1_1GLUniformReference-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLUniformReference.html#a40c3bd9bb06deeb80a6f3797649a5335">mLocation</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GL location handle.  <a href="#a40c3bd9bb06deeb80a6f3797649a5335"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLUniformReference.html#a2d32db8791ed30e82ae3a73485ab0085">mSourceProgType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Which type of program params will this value come from?  <a href="#a2d32db8791ed30e82ae3a73485ab0085"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLUniformReference.html#af895033109bbba669cdaa19710aca90b">mConstantDef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The constant definition it relates to.  <a href="#af895033109bbba669cdaa19710aca90b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure used to keep track of named uniforms in the linked program object. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00037">37</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af895033109bbba669cdaa19710aca90b"></a><!-- doxytag: member="Ogre::GLUniformReference::mConstantDef" ref="af895033109bbba669cdaa19710aca90b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> * <a class="el" href="structOgre_1_1GLUniformReference.html#af895033109bbba669cdaa19710aca90b">Ogre::GLUniformReference::mConstantDef</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The constant definition it relates to. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00044">44</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a40c3bd9bb06deeb80a6f3797649a5335"></a><!-- doxytag: member="Ogre::GLUniformReference::mLocation" ref="a40c3bd9bb06deeb80a6f3797649a5335" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLint <a class="el" href="structOgre_1_1GLUniformReference.html#a40c3bd9bb06deeb80a6f3797649a5335">Ogre::GLUniformReference::mLocation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>GL location handle. </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00040">40</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d32db8791ed30e82ae3a73485ab0085"></a><!-- doxytag: member="Ogre::GLUniformReference::mSourceProgType" ref="a2d32db8791ed30e82ae3a73485ab0085" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#gad08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> <a class="el" href="structOgre_1_1GLUniformReference.html#a2d32db8791ed30e82ae3a73485ab0085">Ogre::GLUniformReference::mSourceProgType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Which type of program params will this value come from? </p>

<p>Definition at line <a class="el" href="OgreGLSLLinkProgram_8h_source.html#l00042">42</a> of file <a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="OgreGLSLLinkProgram_8h_source.html">OgreGLSLLinkProgram.h</a></li>
<li><a class="el" href="OgreGLSLESProgramCommon_8h_source.html">OgreGLSLESProgramCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
